package com.yihu.jw.entity.iot.gateway;



import com.yihu.jw.entity.IntegerIdentityEntity;
import com.yihu.jw.entity.util.StringFStringEncryptConverter;

import javax.persistence.*;
import java.sql.Timestamp;
import java.util.Date;

/**
 * GtClientDetails entity. @author MyEclipse Persistence Tools
 */
@Entity
@Table(name = "gc_client_details")
@SequenceGenerator(name="id_generated", sequenceName="GC_CLIENT_DETAILS_SQU")
public class GcClientDetails extends IntegerIdentityEntity implements java.io.Serializable {

    // Fields

    private String appId;
    private String appSecret;
    private String appUri;
    private Date creatieTime;
    private String creatieUser;
    private String createUserName;
    private Date updateTime;
    private String updateUser;
    private String updateUserName;
    private String remark;
    private Integer del;

    // Constructors

    /**
     * default constructor
     */
    public GcClientDetails() {
    }

    /**
     * full constructor
     */
    public GcClientDetails(String appId, String appSecret, String appUri,
                           Timestamp creatieTime, String creatieUser, String createUserName,
                           Timestamp updateTime, String updateUser, String updateUserName,
                           String remark, Integer del) {
        this.appId = appId;
        this.appSecret = appSecret;
        this.appUri = appUri;
        this.creatieTime = creatieTime;
        this.creatieUser = creatieUser;
        this.createUserName = createUserName;
        this.updateTime = updateTime;
        this.updateUser = updateUser;
        this.updateUserName = updateUserName;
        this.remark = remark;
        this.del = del;
    }


    @Column(name = "app_id", length = 100)
    public String getAppId() {
        return this.appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    @Column(name = "app_secret", length = 100)
    public String getAppSecret() {
        return this.appSecret;
    }

    public void setAppSecret(String appSecret) {
        this.appSecret = appSecret;
    }

    @Column(name = "app_uri", length = 256)
    public String getAppUri() {
        return this.appUri;
    }

    public void setAppUri(String appUri) {
        this.appUri = appUri;
    }

    @Column(name = "creatie_time", length = 0)
    public Date getCreatieTime() {
        return this.creatieTime;
    }

    public void setCreatieTime(Date creatieTime) {
        this.creatieTime = creatieTime;
    }

    @Column(name = "creatie_user", length = 100)
    public String getCreatieUser() {
        return this.creatieUser;
    }

    public void setCreatieUser(String creatieUser) {
        this.creatieUser = creatieUser;
    }

    @Column(name = "create_user_name", length = 20)
    @Convert(converter = StringFStringEncryptConverter.class)
    public String getCreateUserName() {
        return this.createUserName;
    }

    public void setCreateUserName(String createUserName) {
        this.createUserName = createUserName;
    }

    @Column(name = "update_time", length = 0)
    public Date getUpdateTime() {
        return this.updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Column(name = "update_user")
    public String getUpdateUser() {
        return this.updateUser;
    }

    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser;
    }

    @Column(name = "update_user_name", length = 100)
    @Convert(converter = StringFStringEncryptConverter.class)
    public String getUpdateUserName() {
        return this.updateUserName;
    }

    public void setUpdateUserName(String updateUserName) {
        this.updateUserName = updateUserName;
    }

    @Column(name = "remark", length = 20)
    public String getRemark() {
        return this.remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Column(name = "del")
    public Integer getDel() {
        return this.del;
    }

    public void setDel(Integer del) {
        this.del = del;
    }

}